Dial x402

Buy Credits

**Coming Soon** — Purchase 100 prepaid API credits for Bearer-token access ($5.00 per 100 credits, $0.05/credit). Credits can be used for SMS, phone lookup, breach search, and more. Auto-refund on provider failure.

Coming Soon — Purchase 100 prepaid API credits for Bearer-token access ($5.00 per 100 credits, $0.05/credit). Credits can be used for SMS, phone lookup, breach search, and more. Auto-refund on provider failure.

POST
/api/v1/credits/top-up

Authorization

x402 bearer
X-PAYMENT<token>

x402 payment header. When a request is sent without payment, the server returns 402 Payment Required with the price and payTo address. The caller signs an EIP-3009 transferWithAuthorization for USDC on Base and resubmits with the signed payment in this header. See https://docs.x402.org

In: header

AuthorizationBearer <token>

Privy access token (dashboard sessions) or API key (programmatic access — issue #61). Required for endpoints that operate on provisioned resources (e.g. sending SMS from your own number, listing /numbers/mine).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://x402.dial.wtf/api/v1/credits/top-up" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "creditsAdded": 0,
  "credits": 0
}
{
  "x402Version": 2,
  "accepts": [
    {
      "scheme": "exact",
      "network": "eip155:8453",
      "amount": "100000",
      "payTo": "string"
    }
  ]
}